3 D Secure Operations
Different operations linked to 3-D secure.
This request is used by the issuer backend to retrieve all operations related to a card. The API specifies the starting point (offset) and the number of operations (limit) to be retrieved. Offset 0 (the default) corresponds to the most recent operation. For example a limit of 5 and an offset of 2 would return the five most recent operations before the most recent two”.
If no operations are available for the given cardId, an empty list is returned.
Operations that are older than one year are removed.
A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.
The id of the issuer
Unique identifier of the card.
[A-Za-z0-9_-]{1,48}Index from which the query starts returning operations – Offset 0 (the default) corresponds to the most recent operation.
Number of operations to be returned
10Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}Successful
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Resource not found
Internal Server Error
GET /banking/v1/issuers/{issuerId}/cards/{cardId}/3ds/operations HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"operations": [
{
"operationId": "text",
"operation": "3DS_FRICTIONLESS",
"status": "SUCCESSFUL",
"startTime": "2022-06-16T06:28:02.492Z",
"consumerId": "text",
"details": {
"acsTransactionId": "text",
"threeDSServerTransId": "text",
"dsTransactionId": "text",
"purchase": {
"merchantName": "text",
"merchantType": "text",
"amount": "text",
"currencyCode": "text",
"merchantId": "text",
"countryCode": "text",
"merchantUrl": "https://example.com"
},
"acquirer": {
"bin": "text",
"countryCode": "text"
},
"device": {
"deviceChannel": "01",
"appInstanceId": "text",
"authnType": "BIOMETRIC"
},
"eci": "text",
"authenticationMethod": "02",
"transStatus": "Y",
"transStatusReason": "text",
"rba": {
"evaluatedRule": [],
"selectedRule": [],
"appliedExemption": []
},
"protocolVersion": "text"
},
"error": "text"
}
],
"remainingOperations": 1
}This request is used by the issuer backend to retrieve the information related to a 3-D Secure operation on a card.
Getting an operation older than one year will return an error.
A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.
The id of the issuer
Unique identifier of the card.
[A-Za-z0-9_-]{1,48}Unique identifier of the operation
[A-Za-z0-9_-]{1,64}Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}Successful
Details about a 3-D Secure operation.
Unique identifier of the operation
[A-Za-z0-9_-]{1,64}The operation type.
Status of the operation
The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD
2022-06-16T06:28:02.492ZUnique identifier of the end user.
[A-Za-z0-9_-]{1,64}Human readable string representing the error, only present in case of operation failure
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Resource not found
Internal Server Error
GET /banking/v1/issuers/{issuerId}/cards/{cardId}/3ds/operations/{operationId} HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"operationId": "text",
"operation": "3DS_FRICTIONLESS",
"status": "SUCCESSFUL",
"startTime": "2022-06-16T06:28:02.492Z",
"consumerId": "text",
"details": {
"acsTransactionId": "text",
"threeDSServerTransId": "text",
"dsTransactionId": "text",
"purchase": {
"merchantName": "text",
"merchantType": "text",
"amount": "text",
"currencyCode": "text",
"merchantId": "text",
"countryCode": "text",
"merchantUrl": "https://example.com"
},
"acquirer": {
"bin": "text",
"countryCode": "text"
},
"device": {
"deviceChannel": "01",
"appInstanceId": "text",
"authnType": "BIOMETRIC"
},
"eci": "text",
"authenticationMethod": "02",
"transStatus": "Y",
"transStatusReason": "text",
"rba": {
"evaluatedRule": [],
"selectedRule": [],
"appliedExemption": []
},
"protocolVersion": "text"
},
"error": "text"
}最終更新
役に立ちましたか?